summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2019-09-21 07:34:36 +0000
committerJoonas Niilola <juippis@gentoo.org>2019-09-21 17:49:10 +0300
commit3e4aa1e6849325eca77656eb8b118d33315a74c7 (patch)
tree85517fbc9b423767a455d1711461040cebbab1eb
parentapp-admin/filebeat: bump to 6.8.3 (diff)
downloadgentoo-3e4aa1e6849325eca77656eb8b118d33315a74c7.tar.gz
gentoo-3e4aa1e6849325eca77656eb8b118d33315a74c7.tar.bz2
gentoo-3e4aa1e6849325eca77656eb8b118d33315a74c7.zip
app-admin/filebeat: bump to 7.3.2
Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/12986 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--app-admin/filebeat/Manifest1
-rw-r--r--app-admin/filebeat/filebeat-7.3.2.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/app-admin/filebeat/Manifest b/app-admin/filebeat/Manifest
index ab563fdf43e..ec1a5b124cf 100644
--- a/app-admin/filebeat/Manifest
+++ b/app-admin/filebeat/Manifest
@@ -6,3 +6,4 @@ DIST filebeat-6.6.1.tar.gz 29108620 BLAKE2B 21dbe189dcf91efe6170574e3cff858cca40
DIST filebeat-6.8.1.tar.gz 35550017 BLAKE2B 0a1913adf2eda50884f33715a059fcc2028e31560afc5412e87d7fd3a6ed5cc504683ad3c5b28f18df24afd3e4c8d96c5b2a930411ae32d09d05c85cfdff0499 SHA512 5ff047e80099b09e25952ac7fc8ea0c6be25df2cd3b638c07c600e680fac32505c279a3a91ee2e61acf0f9535b4adb390a65f3a7dbc3599e74c6b02e0aa6ef71
DIST filebeat-6.8.3.tar.gz 35551301 BLAKE2B ec33f0a5812e355bf2a9212daff999dfed869cd07b20ed9a8fa7c94c76e6fda291a137c5c601d9317ce3e1a34e06be241c1ce7c148f7b6e181903f88c6b1a410 SHA512 49cea2f95429feb311a15b9f247a0c627409edb1badd09d629d37a28994301e69526d5156bce72c9ed65079815f58bca41202862321edc46315e649395293632
DIST filebeat-7.2.0.tar.gz 46415588 BLAKE2B a8940e9a4a85e6eac79dca3418d3dcd14c5a1062741dd895c561d1498c287bb974a5ac89d5b353dbb75e78e6c67cba97a08d41528042db4e4d76bb46016fac60 SHA512 67d251cabca10a1f6d392be8e6203e66d4cf5d63ceb2af88185ea4824259995dafd3aa8dd2da326d079cfcfedce5996f173cd6c50972db67cbe25f660683e5d1
+DIST filebeat-7.3.2.tar.gz 49977990 BLAKE2B 6219a382b415572fdea2ff4b0aa3f02b3c1e500d77ed5200b6d5b4334a08b8e91d389ea41b3afe98355f8b20e7f8ecaccf5996f0bb7aad5f10e0f0d69400a0d6 SHA512 75943b251343d28f478f2f19665e4ba31f5bc6e4b26f6e6da8aa062322da4ab8e134c87a9557a97677ba3b22484c44ebaeaeeb87866e0f12e67f1647fe34131a
diff --git a/app-admin/filebeat/filebeat-7.3.2.ebuild b/app-admin/filebeat/filebeat-7.3.2.ebuild
new file mode 100644
index 00000000000..0c71f0e0843
--- /dev/null
+++ b/app-admin/filebeat/filebeat-7.3.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Lightweight log shipper for Logstash and Elasticsearch"
+HOMEPAGE="https://www.elastic.co/products/beats"
+SRC_URI="https://github.com/elastic/beats/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+
+DEPEND=">=dev-lang/go-1.12.9"
+RDEPEND="!app-admin/filebeat-bin"
+
+# Do not complain about CFLAGS etc since go projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+S="${WORKDIR}/src/github.com/elastic/beats"
+
+src_unpack() {
+ mkdir -p "${S%/*}" || die
+ default
+ mv beats-${PV} "${S}" || die
+}
+
+src_prepare() {
+ default
+
+ # avoid Elastic license
+ rm -r x-pack || die
+
+ # use ${PV} instead of git commit id
+ sed -i "s/\(COMMIT_ID=\).*/\1${PV}/g" "${S}/libbeat/scripts/Makefile" || die
+}
+
+src_compile() {
+ GOPATH="${WORKDIR}" emake -C "${S}/filebeat"
+}
+
+src_install() {
+ keepdir /etc/${PN}
+ keepdir /var/{lib,log}/${PN}
+
+ fperms 0750 /var/{lib,log}/${PN}
+
+ newconfd "${FILESDIR}/${PN}.confd" ${PN}
+ newinitd "${FILESDIR}/${PN}.initd.1" ${PN}
+
+ docinto examples
+ dodoc ${PN}/{filebeat.yml,filebeat.reference.yml}
+
+ dobin filebeat/filebeat
+}
+
+pkg_postinst() {
+ if [[ -n "${REPLACING_VERSIONS}" ]]; then
+ elog "Please read the migration guide at:"
+ elog "https://www.elastic.co/guide/en/beats/libbeat/$(ver_cut 1-2)/upgrading.html"
+ elog ""
+ fi
+
+ elog "Example configurations:"
+ elog "${EROOT}/usr/share/doc/${PF}/examples"
+}